org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ResourceManager

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.ResourceManager

    public class ResourceManager
    extends java.lang.Object

This object handles the mapping between `Script`s and their corresponding resources inside Eclipse.

### Constructor Summary

Constructors
Constructor and Description
`ResourceManager(IProject debugProject)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addScript(Script newScript)`
`void` `clear()`
`VmResource` `createTemporaryFile(VmResource.Metadata metadata, java.lang.String proposedFileName)`
`java.util.Collection<? extends VmResource>` `findVmResources(java.util.regex.Pattern pattern)`
`VmResourceId` `getResourceId(IFile resource)`
`VmResource` `getVmResource(VmResourceId id)`
`void` `reloadScript(Script script)`
`void` `scriptCollected(Script script)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceManager

    public ResourceManager(IProject debugProject)

### Method Detail

#### getVmResource

    public VmResource getVmResource(VmResourceId id)

#### findVmResources

    public java.util.Collection<? extends VmResource> findVmResources(java.util.regex.Pattern pattern)

#### getResourceId

    public VmResourceId getResourceId(IFile resource)

#### addScript

    public void addScript(Script newScript)

#### createTemporaryFile

    public VmResource createTemporaryFile(VmResource.Metadata metadata,
                                          java.lang.String proposedFileName)

#### scriptCollected

    public void scriptCollected(Script script)

#### reloadScript

    public void reloadScript(Script script)

#### clear

    public void clear()